
Website Input - Feature #1967

Feature # 758 (Closed): Handle forms authentication

Improve handling for form fields

08/03/2017 05:57 PM - Luke Murphey

Status: Closed Start date: 08/03/2017

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Description

Need to:

Have some logging if the fields cannot be determined

Handle situations where form authentication failed

Prevent auth if on cloud and the URL is not HTTPS

Handle cases when form auth fails (like no form fields were provided and they couldn't be discovered):

FormAuthenticationFailed

Hide the forms authentication entries when a browser is selected

Associated revisions

Revision 513 - 08/04/2017 02:06 AM - lukemurphey

Improving logging of forms authentication

Reference #1967

Revision 546 - 08/04/2017 02:06 AM - lukemurphey

Improving logging of forms authentication

Reference #1967

Revision 515 - 08/04/2017 05:32 AM - lukemurphey

Preventing form authentication with non-HTTPS URLs on cloud

Closes #1967

Revision 548 - 08/04/2017 05:32 AM - lukemurphey

Preventing form authentication with non-HTTPS URLs on cloud

Closes #1967

Revision 516 - 08/04/2017 05:34 AM - lukemurphey

Hiding form authentication when using Firefox or Chrome

Reference #1967

Revision 549 - 08/04/2017 05:34 AM - lukemurphey
Hiding form authentication when using Firefox or Chrome

Reference #1967

Revision 517 - 08/04/2017 05:35 AM - lukemurphey

Improving error handling

Reference #1967

Revision 550 - 08/04/2017 05:35 AM - lukemurphey

Improving error handling

Reference #1967

Revision 518 - 08/04/2017 05:47 AM - lukemurphey

Making form authentication failed exceptions include more information

Reference #1967

Revision 551 - 08/04/2017 05:47 AM - lukemurphey

Making form authentication failed exceptions include more information

Reference #1967

History

#1 - 08/03/2017 08:57 PM - Luke Murphey

- Description updated

#2 - 08/03/2017 11:41 PM - Luke Murphey

- Description updated

#3 - 08/04/2017 05:47 AM - Anonymous

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset r515.
